﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
	<DisplayInfo Title="NVDA" Publisher="NV Access" Version="" ReleaseDate="">
		<UserCategories>
			<Category>Pre-Approved</Category>
		</UserCategories>
		<SoftwareCategories>
			<Category>Pre-Approved</Category>
			<Category>Assistive Technology</Category>
		</SoftwareCategories>
	</DisplayInfo>
	<DeploymentType Title="" Architecture="x86" Technology="" DetectionMethod="" ContentLocation="\\server01\sources$\NV Access\NVDA\archive\{SoftwareVersion}\win_{Architecture}\">
		<UninstallCommand>Deploy-Application.exe UNINSTALL</UninstallCommand>
		<InstallCommand>Deploy-Application.exe INSTALL</InstallCommand>
		<DetectionScript RunAs32Bit="False" Language="PowerShell">
			<TEXT>$DisplayName = '{DetectionName}'
$DisplayVersion = '{DetectionVersion}'
#$DetectionRegPath = '{DetectionRegPath}'
$DetectionFilePath = 'C:\Program Files (x86)\NVDA\nvda.exe'
#$RegKey = (Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName*"})
$DetectionFile = Get-Item -Path $DetectionFilePath -ErrorAction SilentlyContinue

if($DetectionFile) {
    if([version]$DetectionFile.VersionInfo.FileVersion -ge [version]$DisplayVersion) {
        return $true   
    }
}
			</TEXT>
		</DetectionScript>
		<Custom>
			<DetectionVersionLogic TargetItem="Installer" TargetItemPath="\\server01\sources$\NV Access\NVDA\archive\{SoftwareVersion}\win_{Architecture}\Files\*.exe" TargetItemType="EXE" TargetItemProperty="ProductVersionRaw"/>
		</Custom>
	</DeploymentType>
</Application>